Bug 331591 - USB disk boot with swap on normal HDD fails
USB disk boot with swap on normal HDD fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-14 21:01 EDT by Doncho N. Gunchev
Modified: 2009-02-17 15:01 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-17 15:01:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doncho N. Gunchev 2007-10-14 21:01:02 EDT
Description of problem:
I'm testing FC8 (rawhide) on external USB disk. After installing from the Live 
CD I had 
to --preload=ehci-hcd --preload=usb-storage --preload=scsi_mod --preload=sd_mod 
and it worked. The space however ran out and I removed the swap from the USB 
disk and reused my existing one on the real system (edited /etc/fstab....). 
After the first kernel update however, the system did not boot because the 
initrd was activating only the VG that had the swap on it.

Version-Release number of selected component (if applicable):
mkinitrd-6.0.19-1.fc8

How reproducible:
always

Steps to Reproduce:
1. install rawhide on USB disk
2. 'rescue' the system and preload the usb storage.
3. make the system use a swap partition on normal HDD
4. update the kernel
  
Actual results:
init in the new initrd image contains
lvm vgchange -ay --ignorelockingfailure  YOUR_SWAP_VG

Expected results:
lvm vgchange -ay --ignorelockingfailure YOUR_SWAP_VG
lvm vgchange -ay --ignorelockingfailure YOUR_ROOT_VG
or simply
lvm vgchange -ay --ignorelockingfailure

Additional info:
In this configuration (root on VG on USB HDD and swap on another VG on normal 
HDD) mkinitrd fails to add all needed modules and activate all VGs. This bug 
can be related to bug # 238528 and bug # 203244.
Comment 1 Bug Zapper 2008-05-13 23:23:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Andy Lindeberg 2008-07-14 16:14:34 EDT
Can you test this with F9 to see if the problem still occurs?

Note You need to log in before you can comment on or make changes to this bug.